JMSQueueConfigurationImpl (ActiveMQ Artemis Web 1.1.0.wildfly-010 API)
Date: 2015-12-18

org.apache.activemq.artemis.jms.server.config.impl

## Class JMSQueueConfigurationImpl

- java.lang.Object
- - org.apache.activemq.artemis.jms.server.config.impl.JMSQueueConfigurationImpl

- All Implemented Interfaces:
    JMSQueueConfiguration

      public class JMSQueueConfigurationImpl
      extends Object
      implements JMSQueueConfiguration

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JMSQueueConfigurationImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String[]` | `getBindings()`
    `String` | `getName()`
    `String` | `getSelector()`
    `boolean` | `isDurable()`
    `JMSQueueConfigurationImpl` | `setBindings(String... bindings)`
    `JMSQueueConfigurationImpl` | `setDurable(boolean durable)`
    `JMSQueueConfigurationImpl` | `setName(String name)`
    `JMSQueueConfigurationImpl` | `setSelector(String selector)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JMSQueueConfigurationImpl

          public JMSQueueConfigurationImpl()

  - ### Method Detail

    - #### getBindings

          public String[] getBindings()

      Specified by:
        `getBindings` in interface `JMSQueueConfiguration`

    - #### setBindings

          public JMSQueueConfigurationImpl setBindings(String... bindings)

      Specified by:
        `setBindings` in interface `JMSQueueConfiguration`

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `JMSQueueConfiguration`

    - #### setName

          public JMSQueueConfigurationImpl setName(String name)

      Specified by:
        `setName` in interface `JMSQueueConfiguration`

    - #### getSelector

          public String getSelector()

      Specified by:
        `getSelector` in interface `JMSQueueConfiguration`

    - #### setSelector

          public JMSQueueConfigurationImpl setSelector(String selector)

      Specified by:
        `setSelector` in interface `JMSQueueConfiguration`

    - #### isDurable

          public boolean isDurable()

      Specified by:
        `isDurable` in interface `JMSQueueConfiguration`

    - #### setDurable

          public JMSQueueConfigurationImpl setDurable(boolean durable)

      Specified by:
        `setDurable` in interface `JMSQueueConfiguration`

Copyright © 2015. All rights reserved.